#include <iostream>

using namespace std;

int main()
{
    long long poeni, poeniZaSet;
    cin >> poeni >> poeniZaSet;

    int i, tim1[5], tim2[5], f;
    if(poeni <= poeniZaSet || poeni < 3 * poeniZaSet)
    {
        cout << "-1";
        return 0;
    }

    for(i = 0; i < 3; i++)
    {
        if(i == 2)
        {
            tim1[i] = (poeni - (poeniZaSet * 2)) / 2 + 1;
            tim2[i] = (poeni - (poeniZaSet * 2)) / 2 - 1;
            if(tim1[i] - tim2[i] != 2)
            {
                f = 1;
                break;
            }
            continue;
        }
        tim1[i] = poeniZaSet;
        tim2[i] = 0;

    }

    if(f == 1)
    {
        for(i = 0; i < 5; i++)
        {
            if(i == 4)
            {
                tim1[i] = (poeni - (poeniZaSet * 2)) / 2 + 1;
                tim2[i] = (poeni - (poeniZaSet * 2)) / 2 - 1;
                if(tim1[i] - tim2[i] != 2)
                {
                    cout << "-1";
                    return 0;
                }
                continue;
            }
            tim1[i] = poeniZaSet;
            tim2[i] = 0;

        }

        for(i = 0; i < 5; i++)
        {
            cout << tim1[i] << " " << tim2[i] << endl;
        }
        return 0;
    }

    for(i = 0; i < 3; i++)
    {
        cout << tim1[i] << " " << tim2[i] << endl;
    }
    return 0;
}